import request from '@/utils/request'

// 查询药品使用方法列表
export function listUsage(query) {
  return request({
    url: '/biosafety/usage/list',
    method: 'get',
    params: query
  })
}

// 查询药品使用方法详细
export function getUsage(id) {
  return request({
    url: '/biosafety/usage/' + id,
    method: 'get'
  })
}

// 新增药品使用方法
export function addUsage(data) {
  return request({
    url: '/biosafety/usage',
    method: 'post',
    data: data
  })
}

// 修改药品使用方法
export function updateUsage(data) {
  return request({
    url: '/biosafety/usage',
    method: 'put',
    data: data
  })
}

// 删除药品使用方法
export function delUsage(id) {
  return request({
    url: '/biosafety/usage/' + id,
    method: 'delete'
  })
}
